package com.ruoyi.sim.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.concurrent.atomic.AtomicInteger;

@Service
public class FailedCountService {

    private static final Logger l = LoggerFactory.getLogger(FailedCountService.class);

    private static final int COUNT_0 = 0;
    private static final int COUNT_ADD_1 = 1;
    private static final int INIT_SIZE = 16;
    private static HashMap<String, AtomicInteger> failedMap = new HashMap<>(INIT_SIZE);

    public int plus1(final String key) {
        if (!failedMap.containsKey(key)) {
            failedMap.put(key, new AtomicInteger(COUNT_ADD_1));
        } else {
            failedMap.get(key).addAndGet(COUNT_ADD_1);
        }
        return failedMap.get(key).get();
    }

    public int get(final String key) {
        if (failedMap.containsKey(key)) {
            return failedMap.get(key).get();
        } else {
            return COUNT_0;
        }
    }

    public void reset0(final String key) {
        failedMap.get(key).set(COUNT_0);
    }

    public void resetAll() {
        for (String key : failedMap.keySet()) {
            failedMap.remove(key);
        }
    }
}
